com.holonplatform.vaadin.components.builders

## Interface NumberInputBuilder<T extends Number>

- Type Parameters:
    `T` - Number type
  All Superinterfaces:
    ComponentConfigurator<NumberInputBuilder<T>>, InputBuilder<T,Input<T>,NumberInputBuilder<T>>, InputConfigurator<T,NumberInputBuilder<T>>, TextInputBuilder<T,Input<T>,NumberInputBuilder<T>>

      public interface NumberInputBuilder<T extends Number>
      extends TextInputBuilder<T,Input<T>,NumberInputBuilder<T>>

  Builder to create `Input` instances to handle `Number` type values.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumberInputBuilder<T>` | `allowNegative(boolean allowNegative)` Sets whether to allow negative numbers input
    `NumberInputBuilder<T>` | `html5NumberInputType(boolean html5NumberInputType)` Sets whether to set html5 input type property as "number"
    `NumberInputBuilder<T>` | `numberFormat(NumberFormat numberFormat)` Sets the `NumberFormat` to use to represent number values in UI

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.TextInputBuilder

      `inputPrompt, inputPrompt, inputPrompt, maxLength, textChangeEventMode, textChangeTimeout, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### numberFormat

          NumberInputBuilder<T> numberFormat(NumberFormat numberFormat)

      Sets the `NumberFormat` to use to represent number values in UI
      Parameters:
        `numberFormat` - the NumberFormat to set
      Returns:
        this

    - #### allowNegative

          NumberInputBuilder<T> allowNegative(boolean allowNegative)

      Sets whether to allow negative numbers input
      Parameters:
        `allowNegative` - `true` to allow negative numbers input
      Returns:
        this

    - #### html5NumberInputType

          NumberInputBuilder<T> html5NumberInputType(boolean html5NumberInputType)

      Sets whether to set html5 input type property as "number"
      Parameters:
        `html5NumberInputType` - `true` to set html5 input type property as "number"
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.